﻿function data()
return {
	info = {
		minorVersion = 0,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("mod_name"),
		description = _("mod_desc"),
		authors = {
		    {
		        name = "ModWerkstatt",
		        role = "CREATOR",
		    },
		},
		tags = { "europe", "train", "bundesbahn", "deutsche bahn", "electric", "universal" },
		minGameVersion = 0,
		dependencies = { },
		url = { "" },
        params = {
			{
				key = "br111vorspann_halloween2022",
				name = _("Vorspann_br111_halloween2022"),
				values = { "No", "Yes", },
				tooltip = _("option_vorspann_br111_halloween2022_desc"),
				defaultIndex = 0,
			},
			{
				key = "br111fake_halloween2022",
				name = _("Fake_br111_halloween2022"),
				values = { "No", "Yes", },
				tooltip = _("option_fake_br111_halloween2022_desc"),
				defaultIndex = 0,
			},
        },
	},
	options = {
	},

	runFn = function (settings, modParams)

	    local vorspann_br111_halloween2022 = {
			["vorspann_halloween2022.mdl"] = true,
        }
    
        local fake_br111_halloween2022 = {
			["fake_halloween2022.mdl"] = true,
        }
        
        local modelFilterVorspann = function(fileName, data)
			local modelName = fileName:match('/br111_([^/]*.mdl)')
			return (modelName==nil or vorspann_br111_halloween2022[modelName]~=true)
		end
        
        local modelFilterFake = function(fileName, data)
			local modelName = fileName:match('/br111_([^/]*.mdl)')
			return (modelName==nil or fake_br111_halloween2022[modelName]~=true)
		end

        if modParams[getCurrentModId()] ~= nil then
			local params = modParams[getCurrentModId()]
			if params["br111vorspann_halloween2022"] == 0 then
				addFileFilter("model/vehicle", modelFilterVorspann)
			end
            if params["br111fake_halloween2022"] == 0 then
				addFileFilter("model/vehicle", modelFilterFake)
			end
		else
			addFileFilter("model/vehicle", modelFilterVorspann)
            addFileFilter("model/vehicle", modelFilterFake)
		end

	end
	}
end
